Package org.silverpeas.components.whitepages.filters

# Class ComponentRequestRouterFilter

java.lang.Object
org.silverpeas.components.whitepages.filters.ComponentRequestRouterFilter

All Implemented Interfaces:
  `jakarta.servlet.Filter`

public class ComponentRequestRouterFilter extends Object implements jakarta.servlet.Filter
Le filtre LoginFilter a pour effet de contrôler que l'utilisateur courant n'a pas une fiche à remplir dans une instance de whitePages. Si c'est le cas, 2 attributs sont mis en sessions :

- RedirectToComponentId : componentId de l'instance pour que le mécanisme de redirection le renvoie sur le composant
- forceCardCreation : componentId de l'instance Le filtre RequestRouterFilter vérifie la présence

Author:
  Ludovic Bertin

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ComponentRequestRouterFilter()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `destroy()`
  `void`
  `doFilter(jakarta.servlet.ServletRequest request, jakarta.servlet.ServletResponse response, jakarta.servlet.FilterChain chain)`
  `void`
  `init(jakarta.servlet.FilterConfig filterConfig)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ComponentRequestRouterFilter

    public ComponentRequestRouterFilter()

- ## Method Details

  - ### doFilter

    public void doFilter(jakarta.servlet.ServletRequest request, jakarta.servlet.ServletResponse response, jakarta.servlet.FilterChain chain) throws IOException, jakarta.servlet.ServletException
    Specified by:
      `doFilter` in interface `jakarta.servlet.Filter`
    Throws:
      `IOException`
      `jakarta.servlet.ServletException`

  - ### init

    public void init(jakarta.servlet.FilterConfig filterConfig)
    Specified by:
      `init` in interface `jakarta.servlet.Filter`

  - ### destroy

    public void destroy()
    Specified by:
      `destroy` in interface `jakarta.servlet.Filter`